<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
    <title>electronics_production</title>
    <!-- Bootstrap -->
	<link href="css/bootstrap.css" rel="stylesheet">
	<link href="css/style.css" rel="stylesheet" type="text/css">

	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	<!--[if lt IE 9]>
		  <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
		<![endif]-->
  </head>
  <body>
	<div class="container-fluid" id="wrapper">
	  <nav class="navbar navbar-default">
	    <div class="container">
	      <!-- Brand and toggle get grouped for better mobile display -->
	      <div class="navbar-header">
	        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#defaultNavbar1" aria-expanded="false"><span class="sr-only">Toggle navigation</span><span class="icon-bar"></span><span class="icon-bar"></span><span class="icon-bar"></span></button>
	        <a class="navbar-brand" href="index.html">Adriana Cabrera</a></div>
	      <!-- Collect the nav links, forms, and other content for toggling -->
	      <div class="collapse navbar-collapse" id="defaultNavbar1">
	        <ul class="nav navbar-nav">
	          <li class="active"></li>
            </ul>
<ul class="nav navbar-nav navbar-right">
  <li><a href="index.html">About</a></li>
<li class="dropdown"><a href="#" data-toggle="dropdown" class="dropdown-toggle">Exercises<b class="caret"></b></a>
          <ul class="dropdown-menu">
            
           <li><a href="01project_managment.html">01. Principles and Practices, Project Management</a></li>
				<li><a href="02computer_aided _design.html">02. Computer-aided Design</a></li>
				<li><a href="03computer_controlled_cutting.html">03. Computer-controlled Cutting</a></li>
				<li><a href="04electronics_production.html">04. Electronics Production</a></li>
				<li><a href="05_3D_scanning_printing.html">05. 3D Scanning and Printing</a></li>
				<li><a href="06electronics_design.html">06. Electronics Design</a></li>
                <li><a href="07computer_controlled_machine.html">07. Computer-controlled Machining </a></li>
                <li><a href="08embedded-programming.html">08. Embedded Programming  </a></li>
				<li><a href="09machine_design.html">09. Mechanical Design, Machine Design</a></li>
				<li><a href="10input_devices.html">10. Input Devices</a></li>
				<li><a href="11molding_casting.html">11. Molding and Casting</a></li>
				<li><a href="12output_devices.html">12. Output Devices</a></li>
				<li><a href="13composites.html">13. Composites</a></li>
				<li><a href="14networking_communications.html">14. Networking and Communications</a>		</li>
				<li><a href="15interface_programming.html">15. Interface and Application Programming</a></li>
				<li><a href="16applications_implications.html">16. Applications and Implications</a></li>
				<li><a href="17invention_intellectual_property.html">17. Invention, Intellectual Property, and Income</a></li> 
				<li role="separator" class="divider"></li>
           		<li><a href="18project_development.html">18. Project Development</a></li>  

          </ul>
          
       
        </li>
        <li class="dropdown"><a href="#" data-toggle="dropdown" class="dropdown-toggle">Final Project<b class="caret"></b></a>
          <ul class="dropdown-menu">
            <li><a href="18project_development.html">Schedule</a></li>
            <li><a href="18project_development.html">Concept</a></li>
            <li><a href="18project_development.html">Notes</a></li>
            <li><a href="18project_development.html">Process</a></li>
            <li><a href="18project_development.html">Final result</a></li>
          </ul>
        </li>
         <li><a href="http://www.fablab.hochschule-rhein-waal.de" target="_blank">My lab</a></li>
</ul>
<ul class="nav navbar-nav navbar-right">
<!--   <li><a href="gallery.html">Gallery</a></li> -->
 
</ul>
          </div>
          </div>
	      <!-- /.navbar-collapse<!-- 
        
	    <!-- /.container-fluid -->
                  </nav>

      <article id="main">
	      <h1>Electronics Production<br>
          </h1>
	      <p>Make the FabISP in-circuit programmer
            Make the FabISP in-circuit programmer David Andy Valentin Zaerc hello.ISP.44.cad board components traces interior hello.ISP.44.res.cad board traces interior inventory microcontroller crystal USB connector ribbon connector Zener diode jumper firmware.zip USB power make clean make hex (sudo) make fuse (check programmer in Makefile, may need to repeat) (sudo) make program desolder SJ1 and SJ2 make IDC ISP cable, connecting header pin 1 to pin 1, check wires
           
            </p>
          <h4 ><a href="http://academy.cba.mit.edu/classes/electronics_production/index.html" target="_blank">Assignment<br>
                  </a></h4>
	      &nbsp;</article>
        
           
          
                      
        <div class="container">
          <div class="row">
            <div class="col-md-12 col-lg-12">
              <div class="thumbnail">
                <div class="caption">
                  
                  
                    
                   
                    
                     <h3>Eagle </h3>
                
                    <p class="text-left">
                      
                      I never had contact with a platform for producing circuits, nevertheless I tried to design some circuits with cooper type or with conductive ink. I am happy to learn a proper method for implement circuits with SMD. 
                      
                  </p>
                    
                    <p class="text-left"> <strong> Easy Applicable Graphical Layout Editor  </strong>strong>is a powerful PCB design software tailored to meet the needs of professional engineers, makers and those at school! 
After installing the Program Eagle , I followed the tutorials in Youtube from </p>
                    <a href="https://www.youtube.com/watch?v=1AXwjZoyNno&list=PL868B73617C6F6FAD" target="_blank"> Tutorial 1 for Eagle: Schematic Design </a>
                    
                     <p class="text-left"> This tutorial explains in detail the construction of an interface using this program.
I installed the FabLab Libraries. Additionally, I tried to design a small circuit, in order to get to know the interface of the program. Afterwards, I Installed the program for the milling machine named CirQwizard.</p>
                    
            
                    
                    
                   <h4>Praxis.<br>
                  </h4> 
                 <h5>I designed my own LED for wearables.<br>
                  </h5>   
                    
                 
                    <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/header-1.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                  <h5>Led Board<br>
                  </h5>
                  <p><br>
                  </p> 
                </div>
              </div>
            </div>
                    
                     <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/04electronics_production/0praxis.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                 <!-- <h5>I designed my own LED for wearables.<br>
                  </h5> --><p class="text-left"> schematic and job view in eagle, File of cirQWizard view </p>   
                </div>
              </div>
            </div>
                    
            <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/04electronics_production/0.1praxis.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                 <!-- <h5>I designed my own LED for wearables.<br>
                  </h5> --><p class="text-left"> <strong> Glove </strong> you can find the tutorial of illustator fur cutting this glove in the laser cutter on AID </p>   
                </div>
              </div>
            </div>
                    
             <p class="text-left"> <strong>LED Board  </strong> </p>
                    <p class="text-left"> 1. I used LEDs, a 330 resistor and two connections for the threads.
                    In the following picture you can see the schematics and the job.  </p>
                    <p class="text-left">2.  After removing the board of the milling machine, I broke the bridges and polished each LED board.</p>
                    <p class="text-left">3. After soldering the LEDs I tested them with conductive thread, additionally, I tested the connections with the multimeter in order to verify them.</p>
                    
                </div>
              </div>
            </div>
              
            <div class="col-md-12 col-lg-12">
              <div class="thumbnail">
                <div class="caption">
                  <h3>Fab ISP Board</h3>
                    <p class="text-left"> I used the David layout for designing the Fab ISP.  </p>
                    	<!-- foto --> 
                    <p class="text-left"> I took only the components in the schematic view in order to do my own design.  </p>
                    <p class="text-left"> I tried to eliminate the 0 resistor but it is for this moment not possible, I had to again use the 0 resistor and also, the board is bigger than the David Board.
                    </p>
                    <img src="images/04electronics_production/1.2-FISPeagle.jpg" alt="Thumbnail Image 1" class="image-fill">
                     <p></p>
                     <p></p>
                     <p></p>
                    <img src="images/04electronics_production/1.3-FISPeagle.jpg" alt="Thumbnail Image 1" width="20%" height="20%"  class="image-fill">

                    <p class="text-left"> I used only the top part of the board, for optimizing the surface made of copper. Then I transformed the GND as main surface, as you can see in the following picture. 
                    </p>
                     
                    <img src="images/04electronics_production/1.5-FISPeagle.jpg" alt="Thumbnail Image 1" class="image-fill">
                    
                    <p class="text-left"> For writing text in the board, you have to select the top layer and also a Vector font in order to have enough space to mill the text. You can change the font in the Properties panel.  
                    </p>
                    
                     <img src="images/04electronics_production/1.4-FISPeagle.jpg" alt="Thumbnail Image 1" class="image-fill">
                    
                    <p class="text-left"> The milling layer is the last layer, which will separate the board from the basis. In this case you have to use another tool of 1mm for cutting. For this procedure, you have to verify the grid options and change the mill to mm. Afterwards, you can select the milling layer in the  Properties panel and change the width for 1 mm and select the lines.
                    </p>
                    
                     <img src="images/04electronics_production/1.7-FISPeagle.jpg" alt="Thumbnail Image 1" class="image-fill">
                    
                    <p class="text-left"> In the same layer you can build the bridge for fixing the printer into the platform. You can go to the Trim option and make a box as the picture shows. 
                    Then remove the parallel vector and you can leave this layer for both sides open. When the board is finished you can easily break the board and polish the edges. 
                    </p>
                    
                    <p class="text-left"> If this is the first time that you work with this program, you can go to the File options > Job > Open CAM Job > cqm-gerb-274x7.2 cam

                    </p>
                     <img src="images/04electronics_production/1.8-FISPeagle.jpg" alt="Thumbnail Image 1" class="image-fill">
                    
                    
                    <p class="text-left"> <strong> the “gerb”  </strong>o Gerber files are kind of “universal language” for PCB designs.  
                        In this case I want to specify the gerber that I want to export. 
                        About gerbers: Gerber files – note the plurality – each describe single layers of the PCB. One gerber might describe the silkscreen, while another defines where the top copper is. In all, we’ll generate seven gerber files. 
                    </p>
                    
                     <img src="images/04electronics_production/1.6-FISPeagle.jpg" alt="Thumbnail Image 1" class="image-fill">
                    
                    <p class="text-left"> From here, go to the File menu, then go Open > Job…. In the file browser that opens, select the cqm-gerb-274x7.2 cam  file that you just downloaded. Now the CAM processor window should have tabs: “Top Copper”, and basically the milling contour part. Each of these tabs define how to create one of the gerber files. Now all you have to do is click Process Job. If you haven’t saved recently, it’ll prompt you to.
                        
                    </p>
                    
                    <p class="text-left"> Without closing this window, you can go to the Run ULP and select the option “mountsmd.ulp”. You are ready to mill your board.
                    </p>
                   
                </div>
              </div>
            </div>
              
              
              
            <div class="col-md-12 col-lg-12">
              <div class="thumbnail">
                <div class="caption">
                  <h3> CirQWizard <br>
                  </h3>
                  <p>In the following pictures you can see the settings of the board. We have to be careful with the machine because this one doesn’t have sensors to sense the toppings. </p>
                  <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/04electronics_production/2-FISPCirqwizard.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                 <!-- <h5>I designed my own LED for wearables.<br>
                  </h5> --> 
                  <p><br>
                  </p> 
                </div>
              </div>
            </div>
            <div class="col-md-6 col-lg-8">
                <div class="caption">
              <div class="thumbnail"><a href="exercise01.html"></a>
               
                  
                    <p class="text-left"> <strong>Open the File </strong> </p>
                    <p class="text-left"> Open the file with the extension <strong>.cmp</strong>   </p>
                  <p class="text-left"> Homing the machine and establish the 0 points in the machine and put the PCB in the machine.</p>
                    <p class="text-left">You can home the machine each time, going to the Manual Control and pressing HOME </p>
                    <p class="text-left">  .  </p>
                  <p class="text-left">  .  </p>
                  <p class="text-left">  .  </p>
                  <p class="text-left">  .  </p>
                  <p class="text-left">  .  </p>
                  <p class="text-left">  .  </p>
                 
                  
                 
                 
                  </div>
              </div>
            </div>
              
        <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/04electronics_production/3.0board.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                 <!-- <h5>I designed my own LED for wearables.<br>
                  </h5> --> 
                  <p><br>
                  </p> 
                </div>
              </div>
            </div>
                    
                    
                           
                   <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/04electronics_production/3.1board.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                 <!-- <h5>I designed my own LED for wearables.<br>
                  </h5> --> 
                  <p><br>
                  </p> 
                </div>
              </div>
            </div>
                   
                     <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/04electronics_production/3.2board.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                 <!-- <h5>I designed my own LED for wearables.<br>
                  </h5> --> 
                  <p><br>
                  </p> 
                </div>
              </div>
            </div>
                    
                      <p class="text-left"><strong>X,Y and Z Offsets  </strong> </p>
                    
   
                    
                    <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/04electronics_production/2.2-FISPCirqwizard.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                  <p class="text-left"> To adjust the position of the X,Y you can move the drill in the Manual Control. Pay attention to the Z axis in the 0 Position</p>
                </div>
              </div>
            </div>
       
       <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/04electronics_production/2.3-FISPCirqwizard.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                 <!-- <h5>I designed my own LED for wearables.<br>
                  </h5> -->
                 <p class="text-left"> <strong>Settings: </strong> I had to add a new tool with the 0.254 diameter and 15°, in order to mill the copper layer. Homing the machine and establish the 0 point in Z direction, please,</p>
                </div>
              </div>
            </div>
       
    <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/04electronics_production/3.3.2board.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                 <!-- <h5>I designed my own LED for wearables.<br>
                  </h5> --> 
                   <p class="text-left"> set of the  bits  :0.254 diameter and 15° (plase use always the first one)</p> 
                    <p class="text-left"> for changing the bit, please go to the <strong>Panel Control </strong> > select <strong>Change tool</strong> </p> 
                </div>
              </div>
            </div>
       
       
             <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/04electronics_production/2.4-FISPCirqwizard.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                 <!-- <h5>I designed my own LED for wearables.<br>
                  </h5> --> 
                  <p class="text-left"> Homing the machine and stablish the 0 point in Z direction, please, install previuoslly the tool</p> 
                </div>
              </div>
            </div>
           
       <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/04electronics_production/3.3board.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                 <!-- <h5>I designed my own LED for wearables.<br>
                  </h5> -->
                 <p class="text-left">Install previously the tool. This picture shows the test of Z axis offset, please verify the clean edges.</p>
                </div>
              </div>
            </div>
        
        <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/04electronics_production/3.3.1board.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                 <!-- <h5>I designed my own LED for wearables.<br>
                  </h5> -->
                    <p class="text-left"> <strong>Run </strong> after set up this machine you can procedure to mill the copper layer. </p>   
                </div>
              </div>
            </div>
       </div>
  
                    <p class="text-left"> <strong>... </strong> </p>
                
 <p class="text-left"> <strong>X,Y and Z Offsets  </strong> </p>
       
       <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/04electronics_production/2.8-FISPCirqwizard.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                 <!-- <h5>I designed my own LED for wearables.<br>
                  </h5> --><p class="text-left"> <strong> Cutting the board</strong> after set up this machine you can procedure to mill the board (don't forget to do the abridges in Eagle) </p>   
                </div>
              </div>
            </div>
       
        <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/04electronics_production/3.5board.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                 <!-- <h5>I designed my own LED for wearables.<br>
                  </h5> --><p class="text-left">  tool for countour milling 1 mm</p> 
                    <p class="text-left"> .</p>   
                </div>
              </div>
            </div>
       
       <div class="col-md-6 col-lg-4">
              <div class="thumbnail"> <img src="images/04electronics_production/3.6board.jpg" alt="Thumbnail Image 1" width="48" height="50" class="image-fill">
                <div class="caption">
                 <!-- <h5>I designed my own LED for wearables.<br>
                  </h5> --><p class="text-left"> <strong> Cutting the board on the machine</strong> don#t forget to use te vacunn cleaner, for prevent damages and manatenance the machine </p>   
                </div>
              </div>
            </div>
                  <p class="text-left"> >>>></p>
   <p class="text-left"> > ready to solder</p>
     </div>
          </div>      
       
<div class="col-md-12 col-lg-12">
                <div class="thumbnail"> 
                 <div class="caption">
                 
                   <h3> Solding the board</h3>
                   <p class="text-left">First of all, you have to melt a little bit of solder paste and apply it to the tip of one of the copper layers. After it has dried, you can put the component on this solder point and melt it. After this, you can proceed to solder the other part of the component. Some components as the USB port was very difficult to solder. After soldering the holding components you have to test the connection with the multimeter. You can also test the connection in the microscope. </p>
                   <img src="images/04electronics_production/3.8board.jpg" alt="Thumbnail Image 1" class="image-fill">
                     
                   <p class="text-left">some components as the USB port was rto difficult to solder </p>
                     <p class="text-left">After solding te hold components you have to test the connection with the multimeter </p>
             </div>       <p class="text-left">also you can test the conction in the microscope </p>
                    
                  
      </div>  
                
            </div>
                    
                  <div class="col-md-12 col-lg-12">
                <div class="thumbnail"> 
                 <div class="caption">
                 
                   <h3> Programming</h3>
                   <p class="text-left">To program my FabISP I used the AVR ISP Mark II programmer. I couldn't really programm my board because I had some problems with the hardware. After testing the connections and the software still showed me an error message. </p>
                   <h3></h3>
                <h3></h3>
                     
                       	<pre class="prettyprint linenums">
    	kn ~/Documents/FabAcademy/Training (intern)/Embedded programming/fabISP_mac.0.8.2_firmware $ make fuse
avrdude -c avrispmkii -P usb -p attiny44  -U hfuse:w:0xDF:m -U lfuse:w:0xFF:m

avrdude: stk500v2_command(): command failed
avrdude: stk500v2_program_enable(): bad AVRISPmkII connection status: Unknown status 0x00
avrdude: initialization failed, rc=-1
         Double check connections and try again, or use -F to override
         this check.


avrdude done.  Thank you.

make: *** [fuse] Error 1

    	</pre>
                  <h3></h3>
                <h3></h3>
                <p class="text-left"> After testing it, I realized that my soldering work was awful :( in terms that the solder paste was in contact with the ground layer creating short circuits. With luck, I achieved to clean the board, resolder some components and test each connection and also make sure that each connection of the microcontroller worked. Well, after testing the connection of the Jumpers, I repaired it.</p>
                <p class="text-left"> It works ! it was programmed </p>
                     <h3></h3>
                <h3></h3>
                     
                       	<pre class="prettyprint linenums">
    	kn ~/Documents/FabAcademy/Training (intern)/Embedded programming/fabISP_mac.0.8.2_firmware $ make clean
rm -f main.hex main.lst main.obj main.cof main.list main.map main.eep.hex main.elf *.o usbdrv/*.o main.s usbdrv/oddebug.s usbdrv/usbdrv.s
kn ~/Documents/FabAcademy/Training (intern)/Embedded programming/fabISP_mac.0.8.2_firmware $ make hex
avr-gcc -Wall -Os -DF_CPU=12000000
-Iusbdrv -I. -DDEBUG_LEVEL=0 -mmcu=attiny44 -c usbdrv/usbdrv.c -o usbdrv/usbdrv.o
avr-gcc -Wall -Os -DF_CPU=12000000
-Iusbdrv -I. -DDEBUG_LEVEL=0 -mmcu=attiny44 -x assembler-with-cpp -c usbdrv/usbdrvasm.S -o usbdrv/usbdrvasm.o
avr-gcc -Wall -Os -DF_CPU=12000000
-Iusbdrv -I. -DDEBUG_LEVEL=0 -mmcu=attiny44 -c usbdrv/oddebug.c -o usbdrv/oddebug.o
avr-gcc -Wall -Os -DF_CPU=12000000
-Iusbdrv -I. -DDEBUG_LEVEL=0 -mmcu=attiny44 -c main.c -o main.o
main.c:88:13: warning: always_inline function might not be inlinable [-Wattributes]
 static void delay ( void )
             ^
avr-gcc -Wall -Os -DF_CPU=12000000
-Iusbdrv -I. -DDEBUG_LEVEL=0 -mmcu=attiny44 -o main.elf usbdrv/usbdrv.o usbdrv/usbdrvasm.o usbdrv/oddebug.o main.o
rm -f main.hex main.eep.hex
avr-objcopy -j .text -j .data -O ihex main.elf main.hex
avr-size main.hex
   text   data
    bss     dec
    hex filename
      0   2070
      0   2070
    816 main.hex
kn ~/Documents/FabAcademy/Training (intern)/Embedded programming/fabISP_mac.0.8.2_firmware $ make fuse
avrdude -c avrispmkii -P usb -p attiny44  -U hfuse:w:0xDF:m -U lfuse:w:0xFF:m

avrdude: AVR device initialized and ready to accept instructions

Reading | ################################################## | 100% 0.00s

avrdude: Device signature = 0x1e9207
avrdude: reading input file "0xDF"
avrdude: writing hfuse (1 bytes):

Writing | ################################################## | 100% 0.00s

avrdude: 1 bytes of hfuse written
avrdude: verifying hfuse memory against 0xDF:
avrdude: load data hfuse data from input file 0xDF:
avrdude: input file 0xDF contains 1 bytes
avrdude: reading on-chip hfuse data:

Reading | ################################################## | 100% 0.00s

avrdude: verifying ...
avrdude: 1 bytes of hfuse verified
avrdude: reading input file "0xFF"
avrdude: writing lfuse (1 bytes):

Writing | ################################################## | 100% 0.00s

avrdude: 1 bytes of lfuse written
avrdude: verifying lfuse memory against 0xFF:
avrdude: load data lfuse data from input file 0xFF:
avrdude: input file 0xFF contains 1 bytes
avrdude: reading on-chip lfuse data:

Reading | ################################################## | 100% 0.00s

avrdude: verifying ...
avrdude: 1 bytes of lfuse verified

avrdude: safemode: Verify error - unable to read hfuse properly. Programmer may not be reliable.
avrdude: safemode: Fuses OK (H:FF, E:DF, L:FF)

avrdude done.  Thank you.

kn ~/Documents/FabAcademy/Training (intern)/Embedded programming/fabISP_mac.0.8.2_firmware $ make program
avrdude -c avrispmkii -P usb -p attiny44  -U flash:w:main.hex:i

avrdude: AVR device initialized and ready to accept instructions

Reading | ################################################## | 100% 0.00s

avrdude: Device signature = 0x1e9207
avrdude: NOTE: "flash" memory has been specified, an erase cycle will be performed
         To disable this feature, specify the -D option.
avrdude: erasing chip
avrdude: reading input file "main.hex"
avrdude: writing flash (2070 bytes):

Writing | ################################################## | 100% 0.72s

avrdude: 2070 bytes of flash written
avrdude: verifying flash memory against main.hex:
avrdude: load data flash data from input file main.hex:
avrdude: input file main.hex contains 2070 bytes
avrdude: reading on-chip flash data:

Reading | ################################################## | 100% 0.65s

avrdude: verifying ...
avrdude: 2070 bytes of flash verified

avrdude: safemode: Fuses OK (H:FF, E:DF, L:FF)

avrdude done.  Thank you.

avrdude -c avrispmkii -P usb -p attiny44  -U hfuse:w:0xDF:m -U lfuse:w:0xFF:m

avrdude: AVR device initialized and ready to accept instructions

Reading | ################################################## | 100% 0.00s

avrdude: Device signature = 0x1e9207
avrdude: reading input file "0xDF"
avrdude: writing hfuse (1 bytes):

Writing | ################################################## | 100% 0.00s

avrdude: 1 bytes of hfuse written
avrdude: verifying hfuse memory against 0xDF:
avrdude: load data hfuse data from input file 0xDF:
avrdude: input file 0xDF contains 1 bytes
avrdude: reading on-chip hfuse data:

Reading | ################################################## | 100% 0.00s

avrdude: verifying ...
avrdude: 1 bytes of hfuse verified
avrdude: reading input file "0xFF"
avrdude: writing lfuse (1 bytes):

Writing | ################################################## | 100% 0.00s

avrdude: 1 bytes of lfuse written
avrdude: verifying lfuse memory against 0xFF:
avrdude: load data lfuse data from input file 0xFF:
avrdude: input file 0xFF contains 1 bytes
avrdude: reading on-chip lfuse data:

Reading | ################################################## | 100% 0.00s

avrdude: verifying ...
avrdude: 1 bytes of lfuse verified

avrdude: safemode: Fuses OK (H:FF, E:DF, L:FF)

avrdude done.  Thank you.

    	</pre>
                     
                         	<a href="images/04electronics_production/FabISP.zip">
    	<button type="button" class="btn btn-primary btn-lg">Download FabISP</button>
    	</a>
                   
                     <a href="images/04electronics_production/Lilyleds.zip">
    	<button type="button" class="btn btn-primary btn-lg">LEDs Board</button>
    	</a>
           </div>        
      </div>  
                
            </div>
              
                </div>
              </div>
            </div>
          </div>
        
        
        
	    <footer>&copy; Copyright 2016. Adriana Cabrera</footer>
        
        

    
    
	<!-- jQuery (necessary for Bootstrap's JavaScript plugins) --> 
	<script src="js/jquery-1.11.3.min.js"></script>

	<!-- Include all compiled plugins (below), or include individual files as needed --> 
	<script src="js/bootstrap.js"></script>
  </body>
</html>